MotorWare f2806x Module API Documentation

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Data Structures | Typedefs | Functions
float/park.h File Reference

Contains the public interface to the Park transform module routines. More...

`#include <math.h>`
`#include "sw/modules/math/src/float/math.h"`

Go to the source code of this file.

## Data Structures
struct | _PARK_Obj_
| Defines the PARK object. More...

## Typedefs
typedef struct _PARK_Obj_ | PARK_Obj
| Defines the PARK object. More...
typedef struct _PARK_Obj_ * | PARK_Handle
| Defines the PARK handle. More...

## Functions
static float_t | PARK_getCosTh (PARK_Handle handle)
| Gets the cosine of the angle between the d,q and the alpha,beta coordinate systems. More...
static void | PARK_getPhasor (PARK_Handle handle, MATH_vec2 *pPhasor)
| Gets the cosine/sine phasor for the Park transform. More...
static float_t | PARK_getSinTh (PARK_Handle handle)
| Gets the sine of the angle between the d,q and the alpha,beta coordinate systems. More...
PARK_Handle | PARK_init (void *pMemory, const size_t numBytes)
| Initializes the Park transform module. More...
static void | PARK_run (PARK_Handle handle, const MATH_vec2 *pInVec, MATH_vec2 *pOutVec)
| Runs the Park transform module. More...
static void | PARK_setCosTh (PARK_Handle handle, const float_t cosTh)
| Sets the cosine of the angle between the d,q and the alpha,beta coordinate systems. More...
static void | PARK_setPhasor (PARK_Handle handle, const MATH_vec2 *pPhasor)
| Sets the cosine/sine phasor for the inverse Park transform. More...
static void | PARK_setSinTh (PARK_Handle handle, const float_t sinTh)
| Sets the sine of the angle between the d,q and the alpha,beta coordinate systems. More...
static void | PARK_setup (PARK_Handle handle, const float_t Th)
| Sets up the Park transform module. More...

## Detailed Description

Contains the public interface to the Park transform module routines.

(C) Copyright 2014, Texas Instruments, Inc.

Definition in file float/park.h.

## Function Documentation

static float_t PARK_getCosTh | ( | PARK_Handle | handle | ) |
| inline static

Gets the cosine of the angle between the d,q and the alpha,beta coordinate systems.

Parameters

  [in] | handle | The Park transform handle

Returns
  The cosine of the angle

Definition at line 96 of file float/park.h.

References _PARK_Obj_::cosTh.

static void PARK_getPhasor | ( | PARK_Handle | handle,
|  | MATH_vec2 * | pPhasor
| ) |  |
| inline static

Gets the cosine/sine phasor for the Park transform.

Parameters

  [in] | handle | The Park transform handle
  [in] | pPhasor | The pointer to the cosine/sine phasor

Definition at line 107 of file float/park.h.

References _PARK_Obj_::cosTh, _PARK_Obj_::sinTh, and _MATH_vec2_::value.

static float_t PARK_getSinTh | ( | PARK_Handle | handle | ) |
| inline static

Gets the sine of the angle between the d,q and the alpha,beta coordinate systems.

Parameters

  [in] | handle | The Park transform handle

Returns
  The sine of the angle

Definition at line 121 of file float/park.h.

References _PARK_Obj_::sinTh.

static void PARK_run | ( | PARK_Handle | handle,
|  | const MATH_vec2 * | pInVec,
|  | MATH_vec2 * | pOutVec
| ) |  |
| inline static

Runs the Park transform module.

Parameters

  [in] | handle | The Park transform handle
  [in] | pInVec | The pointer to the input vector
  [in] | pOutVec | The pointer to the output vector

Definition at line 143 of file float/park.h.

References _PARK_Obj_::cosTh, _PARK_Obj_::sinTh, and _MATH_vec2_::value.

static void PARK_setPhasor | ( | PARK_Handle | handle,
|  | const MATH_vec2 * | pPhasor
| ) |  |
| inline static

Sets the cosine/sine phasor for the inverse Park transform.

Parameters

  [in] | handle | The Park transform handle
  [in] | pPhasor | The pointer to the cosine/sine phasor, pu

Definition at line 176 of file float/park.h.

References _PARK_Obj_::cosTh, _PARK_Obj_::sinTh, and _MATH_vec2_::value.